summaryrefslogtreecommitdiff
blob: da76b35b34a92a4ebad57a788f1073146ee9e3be (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

####################################################################
#
# When you add an entry to the top of this file, add your name, the date
# in the UTC timezone with a format of YYYY-MM-DD, and an explanation of why
# something is getting masked.
# Please be extremely careful not to commit atoms that are not valid, as it can
# cause large-scale breakage, especially if it ends up in the daily snapshot.
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masking  these versions until we can get the
## # v4l stuff to work properly again
## =media-video/mplayer-0.90_pre5
## =media-video/mplayer-0.90_pre5-r1
#
# - Best last rites (removal) practices -
# Include the following info:
# a) reason for masking
# b) bug # for the removal (and yes you should have one)
# c) date of removal (either the date or "in x days")
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masked for removal in 30 days.  Doesn't work
## # with new libfoo. Upstream dead, gtk-1, smells
## # funny. (bug #987654)
## app-misc/some-package

#--- END OF EXAMPLES ---

# Sam James <sam@gentoo.org> (2022-05-19)
# Crashes xine (from xine-ui) on startup for several users.
# bug #845396
=media-libs/xine-lib-1.2.12
=media-libs/xine-lib-1.2.12-r1

# Matt Turner <mattst88@gentoo.org> (2022-05-17)
# Dead packages. No reverse dependencies.
# Removal on 2022-06-17
dev-perl/Gtk2-SourceView2
dev-perl/Gtk2-Unique

# Michał Górny <mgorny@gentoo.org> (2022-05-16)
# This was only added for dev-python/nptyping, and nptyping-2.0.0
# no longer uses it.  No activity since Aug 2021.
# Removal on 2022-06-15.  Bug #837299.
dev-python/typish

# Jakov Smolić <jsmolic@gentoo.org> (2022-05-15)
# Outdated, stuck on deprecated EAPI 5. Recent versions
# require nvidia developer account to obtain source files.
# No other major distro is packaging this.
# Removal on 2022-06-14. Bug #819429.
media-video/nvidia_video_sdk

# Sam James <sam@gentoo.org> (2022-05-15)
# Unmaintained, doesn't support Python 3.10+, no tests.
# Removal on 2022-06-15.
dev-python/django-taggit-serializer

# Sam James <sam@gentoo.org> (2022-05-15)
# Unmaintained, does not support Python 3.10+. Removal on 2022-06-15.
dev-python/django-rq

# Sam James <sam@gentoo.org> (2022-05-15)
# Masked for removal. No reverse dependencies, no releases in 2 years,
# does not support Python 3.10+. Removal on 2022-06-15.
dev-python/python-iptables

# Michał Górny <mgorny@gentoo.org> (2022-05-11)
# A backport with no revdeps left.
# Removal on 2022-06-10.  Bug #843791.
dev-python/backports-entry_points_selectable

# David Seifert <soap@gentoo.org> (2022-05-11)
# Declared EOL by upstream at the end of 2020, no revdeps, last version
# has many issues. Removal on 2022-06-10. Bug #741846, #770760.
media-gfx/nvidia-texture-tools

# Florian Schmaus <flow@gentoo.org> (2022-05-10)
# Was split by upstream (and us) into
# net-analyzer/gsa and net-analyzer/gsad.
# Removal on 2022-06-10.
net-analyzer/greenbone-security-assistant

# Florian Schmaus <flow@gentoo.org> (2022-05-10)
# Functionality now in net-analyzer/ospd-openvas.
# Removal on 2022-06-10.
net-analyzer/ospd

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2022-05-06)
# Unused java library. Removal on 2022-06-06
dev-java/commons-jxpath

# Michał Górny <mgorny@gentoo.org> (2022-05-07)
# The current version is severely outdated and blocks upgrade
# of dependencies.  Packaging a new release poses serious problems.
# Removal on 2022-06-06.  Bug #836282.
dev-db/pgadmin4

# Hans de Graaff <graaff@gentoo.org> (2022-05-07)
# Old slot without reverse dependencies. Originally introduced for
# dev-ruby/gherkin but no longer used there. Upgrade to the new slotted
# version. Masked for removal in 30 days.
dev-ruby/c21e:1

# Michał Górny <mgorny@gentoo.org> (2022-05-06)
# The "better quality" dependencies of Mailman.  These packages were
# generally fixed by the Python team but they have no reverse
# dependencies.  If you need them, please let us know and we'll keep
# them.
# Removal on 2022-06-05.  Bug #842888.
dev-python/authheaders
dev-python/django-allauth
dev-python/django-appconf
dev-python/django-debug-toolbar
dev-python/flufl-bounce
dev-python/flufl-i18n
dev-python/lazr-config
dev-python/lazr-delegates
dev-python/python3-openid
dev-python/rcssmin
dev-python/rjsmin
dev-python/robot-detection

# Michał Górny <mgorny@gentoo.org> (2022-05-06)
# Mailman along with a bunch of dependencies that are of bad quality.
# At the very least, the Mailman packages need a dedicated maintainer.
# Their Python dependencies can be maintained by the Python team
# if someone takes care of getting the tests working.
# Removal on 2022-06-05.  Bug #842888.
dev-python/aiosmtpd
dev-python/django-compressor
dev-python/django-extensions
dev-python/django-gravatar2
dev-python/django-haystack
dev-python/django-picklefield
dev-python/django-q
dev-python/falcon
dev-python/flufl-testing
net-mail/django-mailman3
net-mail/mailman
net-mail/mailmanclient
net-mail/mailman-meta
net-mail/hyperkitty
net-mail/postorius

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2022-05-04)
# Unused java libraries and useless java-virtual. Removal on 2022-06-04
dev-java/glassfish-jms-api
dev-java/sun-jms
java-virtuals/jms

# Matt Turner <mattst88@gentoo.org> (2022-04-30)
# Masked for testing. Apparently causes crashes. Bug #841857.
>=x11-libs/libX11-1.8

# Joonas Niilola <juippis@gentoo.org> (2022-04-29)
# Apparently the "b" in version means "beta". 3.24 is available, we
# should update to that. #841437
~sci-physics/bullet-3.22b

# Conrad Kostecki <conikost@gentoo.org> (2022-04-27)
# Old base package for jabber services, which is not being used anymore,
# as jabber services do now use their own user instead of generic jabber user.
# Removal in 30 days on 2022-05-27.
net-im/jabber-base

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2022-04-22)
# Blocks removal of vulnerable dev-java/guava:20, bug #833309.
# Removal on 2022-05-30
dev-util/checkstyle
app-emacs/jde

# Matt Turner <mattst88@gentoo.org> (2022-04-26)
# Dead package. No reverse dependencies.
# Removal on 2022-05-26
gnome-base/gnome-vfs

# Mike Pagano <mpagano@gentoo.org> (2022-04-26)
# These kernels contain a major regression that causes power button
# to stop working, apparently making it impossible to leave suspend
# on some laptops without a (difficult) hard reset.
~sys-kernel/gentoo-sources-5.10.111
=sys-kernel/gentoo-sources-5.10.112
~sys-kernel/gentoo-sources-5.15.34
=sys-kernel/gentoo-sources-5.15.35
~sys-kernel/gentoo-sources-5.16.20
~sys-kernel/gentoo-sources-5.17.3
=sys-kernel/gentoo-sources-5.17.4
~sys-kernel/vanilla-sources-5.10.112
~sys-kernel/vanilla-sources-5.15.35
~sys-kernel/vanilla-sources-5.17.4

# Michał Górny <mgorny@gentoo.org> (2022-04-26)
# These kernels contain a major regression that causes power button
# to stop working, apparently making it impossible to leave suspend
# on some laptops without a (difficult) hard reset.
~sys-kernel/gentoo-kernel-5.10.111
=sys-kernel/gentoo-kernel-5.10.112
~sys-kernel/gentoo-kernel-5.15.34
=sys-kernel/gentoo-kernel-5.15.35
~sys-kernel/gentoo-kernel-5.16.20
~sys-kernel/gentoo-kernel-5.17.3
=sys-kernel/gentoo-kernel-5.17.4
~sys-kernel/gentoo-kernel-bin-5.10.111
=sys-kernel/gentoo-kernel-bin-5.10.112
~sys-kernel/gentoo-kernel-bin-5.15.34
=sys-kernel/gentoo-kernel-bin-5.15.35
~sys-kernel/gentoo-kernel-bin-5.16.20
~sys-kernel/gentoo-kernel-bin-5.17.3
=sys-kernel/gentoo-kernel-bin-5.17.4
~sys-kernel/vanilla-kernel-5.10.111
~sys-kernel/vanilla-kernel-5.10.112
~sys-kernel/vanilla-kernel-5.15.34
~sys-kernel/vanilla-kernel-5.15.35
~sys-kernel/vanilla-kernel-5.16.20
~sys-kernel/vanilla-kernel-5.17.3
~sys-kernel/vanilla-kernel-5.17.4
~virtual/dist-kernel-5.10.111
~virtual/dist-kernel-5.15.34
~virtual/dist-kernel-5.16.20
~virtual/dist-kernel-5.17.3

# Alfredo Tupone <tupone@gentoo.org> (2022-04-27)
# New release of janestreet packages need to tested
dev-ml/sexplib0:0/0.15
dev-ml/base:0/0.15
dev-ml/stdio:0/0.15
dev-ml/ppx_sexp_conv:0/0.15
dev-ml/ppx_enumerate:0/0.15
dev-ml/ppx_compare:0/0.15
dev-ml/ppx_hash:0/0.15
dev-ml/ppx_cold:0/0.15
dev-ml/parsexp:0/0.15
dev-ml/ppx_base:0/0.15
dev-ml/ppx_fields_conv:0/0.15
dev-ml/ppx_here:0/0.15
dev-ml/ppx_let:0/0.15
dev-ml/ppx_sexp_message:0/0.15
dev-ml/ppx_sexp_value:0/0.15
dev-ml/ppx_assert:0/0.15
dev-ml/ppx_optcomp:0/0.15
dev-ml/time_now:0/0.15
dev-ml/ppx_inline_test:0/0.15
dev-ml/ppx_bench:0/0.15
dev-ml/splittable_random:0/0.15
dev-ml/base_quickcheck:0/0.15
dev-ml/ppx_bin_prot:0/0.15
dev-ml/ppx_custom_printf:0/0.15
dev-ml/ppx_disable_unused_warnings:0/0.15
dev-ml/ppx_expect:0/0.15
dev-ml/ppx_fixed_literal:0/0.15
dev-ml/ppx_log:0/0.15
dev-ml/ppx_module_timer:0/0.15
dev-ml/ppx_optional:0/0.15
dev-ml/ppx_stable:0/0.15
dev-ml/ppx_string:0/0.15
dev-ml/typerep:0/0.15
dev-ml/ppx_typerep_conv:0/0.15
dev-ml/variantslib:0/0.15
dev-ml/ppx_variants_conv:0/0.15
dev-ml/ppx_jane:0/0.15
dev-ml/int_repr:0/0.15
dev-ml/base_bigstring:0/0.15
dev-ml/ppx_js_style:0/0.15
dev-ml/core:0/0.15
dev-ml/core_kernel:0/0.15
dev-ml/sexp_pretty:0/0.15
dev-ml/expect_test_helpers_core:0/0.15
dev-ml/timezone:0/0.15
dev-ml/core_unix:0/0.15
dev-ml/textutils_kernel:0/0.15
dev-ml/textutils:0/0.15
dev-ml/async_kernel:0/0.15
dev-ml/protocol_version_header:0/0.15
dev-ml/async_rpc_kernel:0/0.15
dev-ml/async_unix:0/0.15
dev-ml/async:0/0.15
dev-ml/async_extra:0/0.15
dev-ml/core_bench:0/0.15
dev-ml/patience_diff:0/0.15
dev-util/patdiff:0/0.15

# Hans de Graaff <graaff@gentoo.org> (2022-04-23)
# Obsolete slots that are no longer used by current
# dev-ruby/rqrcode versions and has no use on its own.
# Masked for removal in 30 days.
dev-ruby/rqrcode_core:0

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2022-04-22)
# Unused java library. Removal on 2022-05-24.
dev-java/jgraph

# Hans de Graaff <graaff@gentoo.org> (2022-04-22)
# Obsolete slots that are no longer used by current
# dev-ruby/simplecov versions and have no use on their own.
# Masked for removal in 30 days.
dev-ruby/simplecov-html:0.10
dev-ruby/simplecov-html:0.11

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2022-04-19)
# Release of the source-based ebuild is from 2014. At the moment
# impossible to provide source-based ebuild for the current version.
# Up-to-date binary package exists. Removal on 2022-05-30
app-text/jabref
dev-java/glazedlists
dev-java/jempbox
dev-java/microba
dev-java/spin

# David Seifert <soap@gentoo.org> (2022-04-17)
# Dead library, part of >=sys-fs/e2fsprogs-1.46.5 now, bug #806875,
# removal on 2022-05-17.
# (If you hit blockers, please run:
# $ emerge --deselect sys-libs/e2fsprogs-libs
# This is necessary as your world file should not contain dependencies.)
sys-libs/e2fsprogs-libs

# Marek Szuba <marecki@gentoo.org> (2022-04-14)
# Singularity has been renamed upstream to Apptainer. Therefore, up-to-date
# versions of this software are now available as app-containers/apptainer.
sys-cluster/singularity

# Sam James <sam@gentoo.org> (2022-04-13)
# 2.35.2 was a quick release to mitigate a security issue (bug #838127), but
# introduces problems of its own with e.g. Portage. bug #838223. Pending
# investigation both on the Portage side and potentially upstream (as there's
# at least some UX issues with 2.35.2+ with the new "safe directory" mechanism).
# Earlier versions are still safe as long as you do not use git commands
# on a local repository controlled by a user you do not trust.
>=dev-vcs/git-2.35.2

# Hans de Graaff <graaff@gentoo.org> (2022-04-12)
# dev-ruby/nokogumbo is now part of dev-ruby/nokogiri and nokogiri
# versions still supporting a separate nokogumbo have known security
# issues. nokogumbo's only reverse dependency is dev-ruby/sanitize:5,
# but a newer slot is available.
dev-ruby/nokogumbo
dev-ruby/sanitize:5

# David Seifert <soap@gentoo.org> (2022-04-06)
# Unsupported branches, no consumers left, removal on 2023-01-01.
sys-devel/automake:1.13
sys-devel/automake:1.15

# Ulrich Müller <ulm@gentoo.org> (2022-04-01)
# Illegal instruction errors seen by several users.
# Masked for testing. (bug #835930)
>=net-im/zoom-5.10

# David Seifert <soap@gentoo.org> (2022-03-20)
# Mask gcc-8 branch (ended upstream support). Please switch
# to a fresher gcc branch.
<sys-devel/gcc-9

# Michał Górny <mgorny@gentoo.org> (2022-03-18)
# The new version breaks building docs w/o Internet access (because it
# tries to fetch and install all dependencies locally).
~dev-python/jaraco-packaging-9.0.0

# John Helmert III <ajak@gentoo.org> (2022-03-13)
# Arti is not a production-ready Tor client. According to upstream, "do
# not use this program yet if you seriously need anonymity, privacy,
# security, or stability." Feel free to unmask if this is not a
# necessity.
net-p2p/arti

# Stephan Hartmann <sultan@gentoo.org> (2022-05-06)
# Dev channel releases are only for people who
# are developers or want more experimental features
# and accept a more unstable release.
>=www-client/chromium-103

# Anton Fischl <github@fischl-online.de> (2022-02-23)
# Version 2.5.* is not meant for production according to upstream
=app-backup/burp-2.5*

# Maciej Barć <xgqt@gentoo.org> (2022-02-20)
# Masked for testing, builds and passes tests but randomly segfaults,
# meaningless backtrace, debugging (flags, symbols) do not help
>app-shells/scsh-0.6.9

# Zoltan Puskas <zoltan@sinustrom.info> (2022-02-18)
# Multiple vulnerabilities (CVE-2022-{23803,23804,23946,23947})
# 5.X series is masked to avoid accidental use, but it's kept for
# industrial users who are in the process of migrating to the new
# format of the 6.X series.
<sci-electronics/kicad-6.0.2
<sci-electronics/kicad-footprints-6.0.2
<sci-electronics/kicad-i18n-6.0.2
<sci-electronics/kicad-meta-6.0.2
<sci-electronics/kicad-packages3d-6.0.2
<sci-electronics/kicad-symbols-6.0.2
<sci-electronics/kicad-templates-6.0.2
<app-doc/kicad-doc-6.0.2

# Jonas Stein <jstein@gentoo.org> (2022-02-11)
# Not usable anymore
# Removal after 2022-06-01.  Bug #833144.
x11-misc/i855crt

# Jonas Stein <jstein@gentoo.org> (2022-02-08)
# Not maintained, open bugs, upstream outdated.
# Removal after 2022-07-01.  Bug #832953.
x11-misc/easystroke

# Eray Aslan <eras@gentoo.org> (2022-01-24)
# Mask experimental software
=mail-mta/postfix-3.8*

# James Beddek <telans@posteo.de> (2022-01-19)
# FFmpeg 5.0 ABI/API changes break many packages.
# Masking for tracker/tinderbox. Bug #831437
>=media-video/ffmpeg-5.0

# Georgy Yakovlev <gyakovlev@gentoo.org> (2022-01-15)
# Last branch update happened ~ 12 month ago.
# Maximum kernel supported is 5.9, which we no longer package.
# So 5.10 LTS users can't use it. only 4.x LTS and 5.4 LTS.
# ebuild is effectively unmaintained/untested, so is upstream branch.
# Removal date: sometime around June 2022
# Bug: https://bugs.gentoo.org/830020
~sys-fs/zfs-0.8.6
~sys-fs/zfs-kmod-0.8.6

# Brian Evans <grknight@gentoo.org> (2022-01-07)
# The main consumer, phpunit, does not initiate the new timer correctly
# This is likely to cause issues in tests; Unmask if using for other purposes
>=dev-php/PHP_Timer-5.0

# Georgy Yakovlev <gyakovlev@gentoo.org> (2021-12-14)
# AT&T decided to roll back community changes in March 2020
# for version 2020.x.x
# This version is no longer maintained.
# New version is maintained at https://github.com/ksh93/ksh
# and is available as app-shells/ksh-1.0.0_beta1 at time of writing.
~app-shells/ksh-2020.0.0

# Sam James <sam@gentoo.org> (2021-12-01)
# OSL 12 is a development release (for now).
# Doesn't work with LLVM 13 yet; mask to help
# Blender compatibility (no mixed LLVM versions).
=media-libs/osl-1.12*

# Volkmar W. Pogatzki <gentoo@pogatzki.net> (2021-11-23)
# Does not support updated dev-java/pdfbox-2.0.24, Bug #803488
# Blocks (CVE-2018-11797, CVE-2021-{27807,27906,31811,31812})
dev-tex/pdfannotextractor

# Ionen Wolkens <ionen@gentoo.org> (2021-10-09)
# Vulkan beta driver branch aimed at Vulkan developers for testing
# new features. Beside vulkan, it is typically behind the main branch
# and may be buggier or less secure. Only unmask if really wanted.
x11-drivers/nvidia-drivers:0/vulkan

# Fabian Groffen <grobian@gentoo.org> (2021-10-03)
# Masked for erratic behaviour
# https://bugs.exim.org/show_bug.cgi?id=2813
=mail-mta/exim-4.95-r1

# Mart Raudsepp <leio@gentoo.org> (2021-09-23)
# Incompatible with c++17 abseil-cpp, no in-tree consumers yet
media-libs/webrtc-audio-processing:1

# Andreas K. Hüttel <dilfridge@gentoo.org> (2021-09-18)
# sys-devel/automake version 1.11 is EOL and is only useful for testing
# old de-ANSI-fication/ansi2knr/AM_C_PROTOTYPES code. Please uninstall.
sys-devel/automake:1.11

# Mart Raudsepp <leio@gentoo.org> (2021-09-15)
# New major parallel-installable release which needs special care to not
# end up loaded into the same process together with the earlier libsoup ABI.
# Migration to it is expected for GNOME 42, NOT to be unmasked with GNOME 41.
net-libs/libsoup:3.0

# Thomas Deutschmann <whissi@gentoo.org> (2021-09-07)
# Masked while being tested and reverse deps aren't fully compatible
# bug #797325.
=dev-libs/openssl-3.0*

# Craig Andrews <candrews@gentoo.org> (2021-09-20)
# Requires OpenSSL >= 3.0.0
# Masked until dev-libs/openssl-3.0* is unmasked
=dev-libs/gost-engine-3.0*

# Joonas Niilola <juippis@gentoo.org> (2021-07-29)
# Upstream provided migration instructions from 2. -> 3. update,
# breaks if not all at least many revdeps. #805011 for tracker bug.
>=net-libs/mbedtls-3.0.0

# Michał Górny <mgorny@gentoo.org> (2021-07-06)
# Upstream changed license to GPL-3+ in order to deliberately cause
# incompatiblity with revdep licenses.  Mask until the situation
# is resolved.  Bug #791259.
>=media-libs/libopenaptx-0.2.1

# Bernard Cafarelli <voyageur@gentoo.org> (2021-06-04)
# Alpha versions of fetchmail 7
# Add support for OAUTH2 for those needing it
=net-mail/fetchmail-7.0.0_alpha*

# Michał Górny <mgorny@gentoo.org> (2021-05-31)
# Requires removed media-libs/opencv version.
<media-plugins/gst-plugins-opencv-1.18

# Ulrich Müller <ulm@gentoo.org> (2021-04-20)
# Version 3.15 is broken with Emacs 27.2.
=app-emacs/mic-paren-3.15-r0

# Sam James <sam@gentoo.org> (2021-03-30)
# Seems to break dev-tex/culmus-latex
# Masking until we can investigate & fix
# bug #737406
=media-fonts/culmus-0.133-r1

# Sam James <sam@gentoo.org> (2021-03-03)
# Doesn't seem to sync clock correctly
# in some cases.
# bug #772998
~net-misc/openntpd-6.8_p1

# Lars Wendler <polynomial-c@gentoo.org> (2021-02-15)
# Mask development versions now that they were bumped...
=net-misc/kea-1.9*

# Michał Górny <mgorny@gentoo.org> (2020-11-10)
# This old Kodi version requires vulnerable dev-python/pillow
# and prevents users from upgrading.  Masked for the time being.
# Bug #729672.
media-plugins/kodi-game-libretro-nestopia
media-plugins/kodi-game-libretro-dosbox

# Sam James <sam@gentoo.org> (2020-10-05)
# Masked for testing. New major versions of Guile
# often break reverse dependencies.
# Guile in Gentoo is not slotted, so let's be cautious.
# bug #705554, bug #689408.
>=dev-scheme/guile-3.0.4

# Arfrever Frehtes Taifersar Arahesis <arfrever.fta@gmail.com> (2020-09-01)
# Mismatched version (bug #695022). Masked to force upgrade to 2.0.4_pre20200306162733.
# (Mask should remain after ebuilds are deleted, until 2021-03-01 or
# until new upstream release with proper versioning.)
~app-i18n/scim-sunpinyin-3.0.0_rc1

# Lars Wendler <polynomial-c@gentoo.org> (2019-11-14)
# Breaks archives containing relative paths
# when being called with --no-absolute-filenames
# bug #700020
=app-arch/cpio-2.13

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# TeXmacs is the only remaining package in tree that requires guile-1.8, which
# is unsupported upstream. A TeXmacs port to Guile-2 has been in progress for a
# few years. Bug #436400
app-office/texmacs
<dev-scheme/guile-2

# Andreas Sturmlechner <asturm@gentoo.org> (2018-10-07)
# Masked for more testing especially of reverse-deps.
# ogre 1.11/1.12 breakage: bug #834468
# ogre 2.x breakage: bug #740424
>=dev-games/ogre-1.11.2

# Andreas K. Hüttel <dilfridge@gentoo.org> (2018-09-11)
# Mask transition ebuilds that were needed only for <glibc-2.26
# We will keep them in the tree as long as we have masked
# <glibc-2.26.
~net-libs/libnsl-0
~net-libs/rpcsvc-proto-0

# Nicolas Bock <nicolasbock@gentoo.org> (2017-10-31)
# There are multiple unresolved upstream issues with >=jabref-bin-4.0 (#636036).
# If you still would like to use this version, please report any issues to
# upstream.
>=app-text/jabref-bin-4.0

# Michał Górny <mgorny@gentoo.org> (2017-05-22)
# for Maciej S. Szmigiero <mail@maciej.szmigiero.name>
# Any version above 5.100.138 breaks b43 driver in various ways.
# Also, b43 wiki page says to use 5.100.138. Bug #541080.
>=sys-firmware/b43-firmware-6.30.163.46

# Andreas K. Hüttel <dilfridge@gentoo.org> (2017-05-21)
# (and others, updated later)
# These old versions of toolchain packages (binutils, gcc, glibc) are no
# longer officially supported and are not suitable for general use. Using
# these packages can result in build failures (and possible breakage) for
# many packages, and may leave your system vulnerable to known security
# exploits.
# If you still use one of these old toolchain packages, please upgrade (and
# switch the compiler / the binutils) ASAP. If you need them for a specific
# (isolated) use case, feel free to unmask them on your system.
<sys-libs/glibc-2.33
<sys-devel/binutils-2.37_p1

# Michael Orlitzky <mjo@gentoo.org> (2017-01-07)
# This package has some dangerous quality and security issues, but
# people may still find it useful. It is masked to prevent accidental
# use. See bugs 603346 and 604998 for more information.
app-admin/amazon-ec2-init

# Robin H. Johnson <robbat2@gentoo.org> (2014-08-04)
# Masked for testing, presently fails upstream testsuite:
# FAIL:07:02:35 (00:00:00) db_dump/db_load(./TESTDIR.3/recd001.db:child killed: kill signal): expected 0, got 1
# FAIL:07:02:35 (00:00:00) Dump/load of ./TESTDIR.3/recd001.db failed.
# FAIL:07:02:35 (00:00:00) db_verify_preop: expected 0, got 1
=sys-libs/db-6.1*
=sys-libs/db-6.2*
=sys-libs/db-18.1*

# Mike Gilbert <floppym@gentoo.org> (2014-03-04)
# Dev channel releases are only for people who are developers or want more
# experimental features and accept a more unstable release.
www-plugins/chrome-binary-plugins:unstable

# Diego E. Pettenò <flameeyes@gentoo.org> (2009-01-03)
# These packages are not supposed to be merged directly, instead
# please use sys-devel/crossdev to install them.
dev-util/mingw64-runtime
sys-libs/newlib
dev-embedded/avr-libc